# eoFDCFileSnapshot< EOT > Class Template Reference

Specific class for FDCStat monitoring: As I failed to have FDC stat as an eoStat, this is the trick to put the 2 eoParam<std::vector<double> > into a monitor This class does nothing else. More...

`#include <eoFDCStat.h>`

Inheritance diagram for eoFDCFileSnapshot< EOT >:

List of all members.

## Public Member Functions

| eoFDCFileSnapshot (eoFDCStat< EOT > &_FDCstat, std::string _dirname="tmpFDC", unsigned _frequency=1, std::string _filename="FDC", std::string _delim=" ")
| Ctor: in addition to the parameters of the ctor of an eoFileSnapshot we need here an eoFDCStat.
virtual void | add (const eoParam &_param)
| just to be sure the add method is not called further

## Private Attributes

eoFDCStat< EOT > & | FDCstat

## Detailed Description

### template<class EOT>
class eoFDCFileSnapshot< EOT >

Specific class for FDCStat monitoring: As I failed to have FDC stat as an eoStat, this is the trick to put the 2 eoParam<std::vector<double> > into a monitor This class does nothing else.

Definition at line 111 of file eoFDCStat.h.

## Constructor & Destructor Documentation

template<class EOT>
eoFDCFileSnapshot< EOT >::eoFDCFileSnapshot | ( | eoFDCStat< EOT > & | _FDCstat,
|  | std::string | _dirname = `"tmpFDC"`,
|  | unsigned | _frequency = `1`,
|  | std::string | _filename = `"FDC"`,
|  | std::string | _delim = `" "`
| ) | `[inline]`

| Ctor: in addition to the parameters of the ctor of an eoFileSnapshot we need here an eoFDCStat. The 2 std::vectors (distances to optimum and fitnesses) are added to the monitor so they can be processed later to a file - and eventually by gnuplot Definition at line 119 of file eoFDCStat.h. References eoFileSnapshot::add().

The documentation for this class was generated from the following file:

- eoFDCStat.h